{
  description = "A very basic flake";

  inputs = {
    # import nixos packages
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    # import homemanager
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";

    gnomeNixpkgs.url = "github:NixOS/nixpkgs/gnome";
  };

  outputs = { self, nixpkgs, home-manager, gnomeNixpkgs }: 
  let
    system="x86_64-linux";
    pkgs = import nixpkgs {
      inherit system;
      config.allowUnfree = true;
    };
    lib = nixpkgs.lib;
  in {
    nixosConfigurations = {
      main = lib.nixosSystem {
        inherit system;
        modules = [ 
          # {
          #   nixpkgs.overlays = [
          #     (self: super: {
          #       gnome = gnomeNixpkgs.legacyPackages.x86_64-linux.gnome;
          #     })
          #   ];
          # }
          ./configuration.nix 

          home-manager.nixosModules.home-manager {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.lukas = {
              imports = [ ./home.nix ];
            };
          }
        ];
      };
    };
  };
}
